{
  global = {
    id = "5d3c16fe58444e12ad621600039f10af";
    fs.esp.uuid = "32A5-6257";
    fs.type = "xfs";
    fs.store = "c0408dd5-dfc1-42e3-b925-2f32407d320a";
    fs.extPersist.enable = true;
    fs.extPersist.device = "/dev/disk/by-uuid/af2b8ec5-62d8-4b14-8ba8-083cc4fb33f4";
    fs.extPersist.fsType = "btrfs";
    fs.extPersist.options = [ "noatime" "compress=zstd" ];
    fs.cryptsetup.enable = true;
    fs.cryptsetup.uuids.nix = "3905f87f-7b11-49ef-8ddf-f4202c555ffd";
    fs.cryptsetup.uuids.persist = "b2322f01-1c44-433f-a995-4ddce5845cf9";
    boot.lanzaboote = true;
    gui.enable = true;
    gui.type = "prime";
    android.enable = true;
  };

  home = {
    minecraft.enable = true;
    steam.enable = true;
  };

  powerManagement.enable = true;
  powerManagement.cpuFreqGovernor = "performance";

  hardware.nvidia.prime = {
    intelBusId = "PCI:0:2:0";
    nvidiaBusId = "PCI:5:0:0";
  };

  hardware.enableRedistributableFirmware = true;
  boot.initrd.availableKernelModules = [ "xhci_pci" "thunderbolt" "nvme" "usb_storage" "sd_mod" ];
  boot.initrd.kernelModules = [ ];
  boot.kernelModules = [ "kvm-intel" ];
  boot.extraModulePackages = [ ];
  hardware.cpu.intel.updateMicrocode = true;
}
